- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TIbmScaffoldInput
TMssqlScaffoldInput
TMysqlScaffoldInput
TPgsqlScaffoldInput
TScaffoldInputBase
TScaffoldInputCommon
TSqliteScaffoldInput

Keyword

# Class TScaffoldInputBase

#### Direct Known Sub-classes:

TScaffoldInputCommon

TScaffoldInputBase class file.

License: http://www.pradosoft.com/license/
Copyright: Copyright &copy; 2005-2008 PradoSoft
Link: http://www.pradosoft.com/

Method Summary
protected void | createControl ( mixed $container, mixed $column, mixed $record)
protected void | createControlLabel ( mixed $label, mixed $column, mixed $record)
void | createInputBuilder ( mixed $record)
void | createScaffoldInput ( mixed $parent, mixed $item, mixed $column, mixed $record)
protected void | getControlValue ( mixed $container, mixed $column, mixed $record)
protected void | getIsEnabled ( mixed $column, mixed $record)
protected void | getParent ()
protected void | getRecordPropertyValue ( mixed $column, mixed $record)
void | loadScaffoldInput ( mixed $parent, mixed $item, mixed $column, mixed $record)
protected void | setRecordPropertyValue ( mixed $item, mixed $record, mixed $input)

Constant Summary
string | DEFAULT_ID |

Method Details

## createControl

protected void createControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createControlLabel

protected void createControlLabel | (mixed $label , mixed $column , mixed $record )

Input
mixed | $label |
mixed | $column |
mixed | $record |
Output
Exception

## createInputBuilder

public void createInputBuilder | (mixed $record )

Input
mixed | $record |
Output
Exception

## createScaffoldInput

public void createScaffoldInput | (mixed $parent , mixed $item , mixed $column , mixed $record )

Input
mixed | $parent |
mixed | $item |
mixed | $column |
mixed | $record |
Output
Exception

## getControlValue

protected void getControlValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getIsEnabled

protected void getIsEnabled | (mixed $column , mixed $record )

Input
mixed | $column |
mixed | $record |
Output
Exception

## getParent

protected void getParent | ()

Output
Exception

## getRecordPropertyValue

protected void getRecordPropertyValue | (mixed $column , mixed $record )

Input
mixed | $column |
mixed | $record |
Output
Exception

## loadScaffoldInput

public void loadScaffoldInput | (mixed $parent , mixed $item , mixed $column , mixed $record )

Input
mixed | $parent |
mixed | $item |
mixed | $column |
mixed | $record |
Output
Exception

## setRecordPropertyValue

protected void setRecordPropertyValue | (mixed $item , mixed $record , mixed $input )

Input
mixed | $item |
mixed | $record |
mixed | $input |
Output
Exception

Constant Details

### DEFAULT_ID

#### Type:

string

#### Value:

'scaffold_input'